优麒麟技术论坛

 找回密码

编译PPSSPP时,缺少依赖 [复制链接]

银河麒麟 V10 SP1 ARM 编译 PPSSPP 时,需要搭建编译环境。出现依赖错误。

下列软件包有未满足的依赖关系:
libpulse-dev : 依赖: libpulse0 (= 1:13.99.1-1kylin31) 但是 1:13.99.1-1kylin32 正要被安装
                依赖: libpulse-mainloop-glib0 (= 1:13.99.1-1kylin31) 但是 1:13.99.1-1kylin32 正要被安装
libudev-dev : 依赖: libudev1 (= 245.4-4kylin3k7) 但是 245.4-4kylin3k10 正要被安装
E: 无法修正错误,因为您要求某些软件包保持现状,就是它们破坏了软件包间的依赖关系。


发表于 2021-8-25 10:55:48
回复

使用道具 举报

编译PPSSPP时,缺少依赖 [复制链接]

好的,我反馈下,另外,用aptitude可以有解决方案吗?
发表于 2021-8-25 14:54:03
回复

使用道具 举报

编译PPSSPP时,缺少依赖 [复制链接]

handsome_feng 发表于 2021-8-25 14:54
好的,我反馈下,另外,用aptitude可以有解决方案吗?

不报错了,不过又出了个新问题。不知道有没有影响。
dpkg: 处理归档 /tmp/apt-dpkg-install-LghZMY/62-libzip-dev_1.5.1-0kylin1_arm64.de
b (--unpack)时出错:
正试图覆盖 /usr/include/zip.h,它同时被包含于软件包 minizip 1.1-8build1-kord2
dpkg-deb (子进程):解压缩归档成员:lzma 写入错误: 断开的管道
dpkg-deb: 错误: <解压缩> 子进程返回错误状态 2
dpkg-deb (子进程):无法从 /tmp/apt-dpkg-install-LghZMY/62-libzip-dev_1.5.1-0kyli
n1_arm64.deb 中拷贝归档成员到解码管道中:写入失败 (断开的管道)
 楼主| 发表于 2021-8-26 18:47:45
回复

使用道具 举报

编译PPSSPP时,缺少依赖 [复制链接]

chipo 发表于 2021-8-26 18:47
不报错了,不过又出了个新问题。不知道有没有影响。
dpkg: 处理归档 /tmp/apt-dpkg-install-LghZMY/62-l ...

问题已确认,这两天会修复
发表于 2021-8-27 11:47:15
回复

使用道具 举报

编译PPSSPP时,缺少依赖 [复制链接]

aptitude可以解决
我用的2107版本
发表于 2021-9-3 17:04:49
回复

使用道具 举报

小黑屋|Ubuntu Kylin    

GMT+8, 2021-9-23 03:42 , Processed in 0.018835 second(s), 19 queries .

Copyright ©2013-2021 Ubuntu Kylin. All Rights Reserved .

ICP No. 15002470-2 Tianjin

快速回复 返回顶部 返回列表